Name:           python-awscli
Version:        1.37.11
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Universal Command Line Environment for AWS.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://aws.amazon.com/cli/
Source:         %{pypi_source awscli}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'awscli' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-awscli
Summary:        %{summary}

%description -n python3-awscli %_description


%prep
%autosetup -p1 -n awscli-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-awscli -f %{pyproject_files}


%changelog
%autochangelog